import * as React from 'react';
export type EasyAntdModalContextType = {
    /**
     * 触发器的 props
     * @default `trigger`
     */
    triggerProps?: 'children' | 'trigger';
    /**
     * 内容的 props
     * @default `content`
     */
    contentProps?: 'content' | 'children';
};
export declare const EasyAntdModalContext: React.Context<EasyAntdModalContextType>;
export declare const useEasyAntdModal: () => EasyAntdModalContextType;
export declare const EasyAntdModalProvider: (props: React.PropsWithChildren<EasyAntdModalContextType>) => import("react/jsx-runtime").JSX.Element;
