import { EasyAntdModalProvider, useEasyAntdModal } from './context';
import DragModal from './drag-modal';
import Drawer from './drawer';
import Modal from './modal';
export * from './hooks';
export * from './types';
export * from './util';
export * from './drag-modal';
export * from './modal';
export { DragModal, Drawer, EasyAntdModalProvider, Modal, useEasyAntdModal, };
export default Modal;
export * as AntdMobile from './mobile';
export declare const Antd: {
    Modal: (props: import("./modal").ModalProps) => import("react/jsx-runtime").JSX.Element;
    Drawer: (props: import("./drawer").DrawerProps) => import("react/jsx-runtime").JSX.Element;
};
