import type { DOMElement, HTMLAttributes, ReactElement, SVGAttributes } from 'react';
export declare function isElement<P>(element: any): element is ReactElement<P>;
export declare function isDOMTypeElement<P extends HTMLAttributes<T> | SVGAttributes<T>, T extends Element>(element: any): element is DOMElement<P, T>;
