var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/mobile/Popup.tsx
var Popup_exports = {};
__export(Popup_exports, {
  default: () => Popup_default
});
module.exports = __toCommonJS(Popup_exports);
var import_antd_mobile = require("antd-mobile");
var import_hooks = require("../hooks");
function Popup(props) {
  const { popupClick, ...rawProps } = props;
  const [visible, { close }, { trigger, content }, restProps] = (0, import_hooks.useModalEnhanced)(rawProps);
  const handleClose = () => {
    var _a;
    (_a = props == null ? void 0 : props.onClose) == null ? void 0 : _a.call(props);
    close();
  };
  return /* @__PURE__ */ React.createElement(React.Fragment, null, trigger, /* @__PURE__ */ React.createElement(import_antd_mobile.Popup, { visible, ...restProps, onClose: handleClose, onClick: popupClick }, content));
}
var Popup_default = Popup;
