var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/drag-modal/index.tsx
var drag_modal_exports = {};
__export(drag_modal_exports, {
  default: () => drag_modal_default
});
module.exports = __toCommonJS(drag_modal_exports);
var import_core = require("@dnd-kit/core");
var import_modifiers = require("@dnd-kit/modifiers");
var React = __toESM(require("react"));
var import_BaseModal = __toESM(require("./BaseModal"));
var defaultCoordinates = { x: 0, y: 0 };
function DragModal(props) {
  const [{ x, y }, setCoordinates] = React.useState(defaultCoordinates);
  const handleOpenChange = (open) => {
    var _a;
    if (!open) {
      setCoordinates(defaultCoordinates);
    }
    (_a = props.afterOpenChange) == null ? void 0 : _a.call(props, open);
  };
  return /* @__PURE__ */ React.createElement(
    import_core.DndContext,
    {
      modifiers: [import_modifiers.restrictToWindowEdges],
      onDragEnd: ({ delta }) => setCoordinates(({ x: x2, y: y2 }) => ({
        x: x2 + delta.x,
        y: y2 + delta.y
      }))
    },
    /* @__PURE__ */ React.createElement(import_BaseModal.default, { ...props, afterOpenChange: handleOpenChange, offsetX: x, offsetY: y })
  );
}
var drag_modal_default = DragModal;
